/*
 * Copyright 2007-2009 Jiemamy Project and the Others.
 * Created on 2008/12/17
 *
 * This file is part of Jiemamy.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.jiemamy;

import java.util.List;
import java.util.Set;

import org.jiemamy.utils.enhancer.Enhance;
import org.jiemamy.xml.JiemamyNamespace;

/**
 * Jiemamy {@link Artemis} Implementationに対する、拡張インターフェイス。
 * @author daisuke
 */
public interface ArtemisExtender extends OptionalSpec {
	
	/**
	 * この拡張による{@link JiemamyFactory}への{@link Enhance}のリストを取得する。
	 * 
	 * @return この拡張による{@link JiemamyFactory}への{@link Enhance}のリスト
	 */
	List<Enhance> getEnhances();
	
	/**
	 * この拡張により追加されるXML名前空間の配列を取得する。
	 * 
	 * @return Jiemamy実装が関与するXML名前空間の配列
	 * @since 0.2
	 */
	JiemamyNamespace[] getNamespaces();
	
	/**
	 * この拡張が実装する「追加仕様」の{@link Set}を取得する。
	 * 
	 * @return この拡張が実装する「追加仕様」の{@link Set}
	 */
	Set<? extends OptionalSpec> getSpecs();
	
}
