/*
 * Copyright 2007-2009 Jiemamy Project and the Others.
 * Created on 2008/12/31
 *
 * This file is part of Jiemamy.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.jiemamy.exception;

/**
 * モデル整合性が崩れる操作を行った場合。
 * 
 * @since 0.2
 * @author daisuke
 */
@SuppressWarnings("serial")
public class ModelConsistenceException extends RuntimeException {
	
	/**
	 * インスタンスを生成する。
	 * 
	 * @since 0.2
	 */
	public ModelConsistenceException() {
		super();
	}
	
	/**
	 * インスタンスを生成する。
	 * 
	 * @param message 例外メッセージ
	 * @since 0.2
	 */
	public ModelConsistenceException(String message) {
		super(message);
	}
	
}
