/*
 * Copyright 2007-2009 Jiemamy Project and the Others.
 * Created on 2009/02/12
 *
 * This file is part of Jiemamy.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.jiemamy.internal.model.sql;

import org.jiemamy.model.sql.Token;

/**
 * 区切りトークンを表す列挙型。
 * 
 * @author daisuke
 */
public enum Separator implements Token {
	
	/** セミコロン */
	SEMICOLON(";"),

	/** カンマ */
	COMMA(","),

	/** 左括弧 */
	LEFT_PAREN("("),

	/** 右括弧 */
	RIGHT_PAREN(")"),

	/** イコール */
	EQUAL("=");
	
	private final String string;
	

	Separator(String string) {
		this.string = string;
	}
	
	@Override
	public String toString() {
		return string;
	}
}
